<?php
/**
 * 友情链接标签解析
 */
class linkTag {
    /**
     * 友情链接列表
     * @param array $options 
     */
    public function lists($options) {
		$file = C('ftx_site_cachename').'link';
		if(C('ftx_site_cache')){
			if(S($file)===false){
				$map['status'] = '1' ;
				$data = M('link')->where($map)->order('ordid asc')->select();
				S($file,$data,C('ftx_site_cachetime'));
			}else{
				$data = S($file);
			}
		}else{
			$map['status'] = '1' ;
			$data = M('link')->where($map)->order('ordid asc')->select();
		}
        return $data;
    }
}